<?php 
session_start();
//Send a generated image to the browser 
create_image(); 
exit(); 
function create_image() 
{ 
    $md5 = md5(rand(0,999)); 
    //We don't need a 32 character long string so we trim it down to 5 
    $pass = substr($md5,10,6); 
    $_SESSION['code'] = $pass;
    //Set the image width and height
    $width = 130;
    $height = 30;
    //Create the image resource 
    $c1 = rand(0,250);
    $c2 = rand(0,250);
    $c3 = rand(0,250);
    $image = ImageCreate($width, $height);  
    $white = ImageColorAllocate($image,255,255,255); 
    $black = ImageColorAllocate($image,0,0,0); 
    $grey = ImageColorAllocate($image,204,204,204); 
    $blue = ImageColorAllocate($image, 0, 0, 204);
    $another = ImageColorAllocate($image,96,29,161);
    //Make the background black 
    ImageFill($image, 0, 0, $another); 
    //Add randomly generated string in white to the image
    ImageString($image, 10, 35, 8,$pass,$white); 
    //Throw in some lines to make it a little bit harder for any bots to break 
    ImageRectangle($image,0,0,$width-1,$height-1, $black); 
    header("Content-Type: image/jpeg"); 
    ImageJpeg($image); 
    //Free up resources
    ImageDestroy($image); 
} 
?>